Skip to content

ownShifts

GET
/own/tournaments/{tournamentKey}/shifts
curl --request GET \
--url https://api.lovat.cjcameron.com/v2/own/tournaments/example/shifts \
--header 'Authorization: Bearer <token>'
tournamentKey
required
string
/^\d{4}[a-z0-9]+$/

OK

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
tournamentKey
required
string
startMatch
required
integer
>= -9007199254740991 <= 9007199254740991
endMatch
required
integer
>= -9007199254740991 <= 9007199254740991
stations
required
object
key
additional properties
Array<string>

Example generated

[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"tournamentKey": "example",
"startMatch": 1,
"endMatch": 1,
"stations": {
"additionalProperty": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}
}
]